# Generated by Django 2.2.9 on 2020-01-09 10:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtail_localize", "0002_initial_data"),
        ("wagtail_localize_translation", "0001_initial"),
        ("wagtail_localize_pontoon", "0007_delete"),
    ]

    operations = [
        migrations.CreateModel(
            name="PontoonResource",
            fields=[
                (
                    "object",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        related_name="+",
                        serialize=False,
                        to="wagtail_localize_translation.TranslatableObject",
                    ),
                ),
                ("path", models.CharField(max_length=255, unique=True)),
                (
                    "current_revision",
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtail_localize_translation.TranslatableRevision",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PontoonSyncLog",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "action",
                    models.PositiveIntegerField(choices=[(1, "Push"), (2, "Pull")]),
                ),
                ("time", models.DateTimeField(auto_now_add=True)),
                ("commit_id", models.CharField(blank=True, max_length=40)),
            ],
        ),
        migrations.CreateModel(
            name="PontoonSyncLogResource",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "locale",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="wagtail_localize.Locale",
                    ),
                ),
                (
                    "log",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="resources",
                        to="wagtail_localize_pontoon.PontoonSyncLog",
                    ),
                ),
                (
                    "resource",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="logs",
                        to="wagtail_localize_pontoon.PontoonResource",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PontoonResourceSubmission",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("pushed_at", models.DateTimeField(null=True)),
                (
                    "push_log",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="pushed_submissions",
                        to="wagtail_localize_pontoon.PontoonSyncLog",
                    ),
                ),
                (
                    "resource",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="submissions",
                        to="wagtail_localize_pontoon.PontoonResource",
                    ),
                ),
                (
                    "revision",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="pontoon_submission",
                        to="wagtail_localize_translation.TranslatableRevision",
                    ),
                ),
            ],
        ),
    ]
